Subject: bug#72917: ffmpeg-3 build failures is duplicate of bug#67308

From: André Batista <[email-masked]>
Date: Wed, 11 Sep 2024 18:14:17 -0300

qua 11 set 2024 às 17:10:49 (1726085449), [email-masked] enviou:
> 
> qui 05 set 2024 às 20:47:39 (1725580059), [email-masked] enviou:
> > 
> > qui 05 set 2024 às 09:25:36 (1725539136), [email-masked] enviou:
> > > 
> > > [...]
> > > 
> > > And from <https://ci.guix.gnu.org/build/5613330/details>:
> > > 
> > > --8<---------------cut here---------------start------------->8---
> > > --- ./tests/ref/lavf/fits	1970-01-01 00:00:01.000000000 +0000
> > > +++ tests/data/fate/lavf-fits	2024-09-04 17:57:17.900035764 +0000
> > > @@ -1,9 +1,9 @@
> > >  ed9fd697d0d782df6201f6a2db184552 *./tests/data/lavf/graylavf.fits
> > >  5328000 ./tests/data/lavf/graylavf.fits
> > > -./tests/data/lavf/graylavf.fits CRC=0xbacf446c
> > > +./tests/data/lavf/graylavf.fits CRC=0xeb450e41
> > >  48e6caf6a59e32f9a8a39979c9183a7f *./tests/data/lavf/gray16belavf.fits
> > >  10368000 ./tests/data/lavf/gray16belavf.fits
> > > -./tests/data/lavf/gray16belavf.fits CRC=0xae2b58d4
> > > +./tests/data/lavf/gray16belavf.fits CRC=0xcc6d0df7
> > >  be2f7112fd193c9a909304c81e662769 *./tests/data/lavf/gbrplavf.fits
> > >  15408000 ./tests/data/lavf/gbrplavf.fits
> > >  ./tests/data/lavf/gbrplavf.fits CRC=0x04ed3828
> > > TEST    filter-pixdesc-yuv422p
> > > TEST    filter-pixdesc-yuv444p
> > > Test lavf-fits failed. Look at tests/data/fate/lavf-fits.err for details.
> > > make: *** [tests/Makefile:226: fate-lavf-fits] Error 1
> > > make: *** Waiting for unfinished jobs....
> > > 
> > 
> > I also see errors on ffmpeg-3, as Dariqq mentioned, but looking at
> > the build history on CI it had also appeared on
> > <https://ci.guix.gnu.org/build/5382581/log/raw> which was before
> > the core-updates merge, so it seems unrelated.
> > 
> 
> [...]
> 
> However, ffmpeg-3 is still failing[4] with that same lavf.fits error,
> even on that same commit. I've dabbed here increasing the verbosity to
> debug level, but I still don't have any clue as to what is triggering
> this failure.
> 

This ffmpeg-3 error was already reported at #67308[1]. So I suggest we
discuss it there, if anyone makes any progress.

+CC 67308 for reference.

<https://issues.guix.gnu.org/67308>